For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
    • Home
  • API Reference
        • GETVaccines
        • GETVaccine by Code
        • GETVaccine Categories
        • GETVaccine Funding Types
        • GETVaccine Types
        • GETRoutes of Administration
        • GETAntigens
        • GETAntigen by Code
        • GETCountries
        • GETGenders
        • GETAntenatal Age Range
        • GETMandatory Vaccine Batch
        • GETMandatory Route of Administration
        • GETMandatory Vaccine Type
        • GETMandatory Antenatal Indicator
        • GETAllowable Medical Contraindication
        • GETAllowable Natural Immunity
  • Guides
    • Minor ID Setup
    • Architecture
    • Security & Governance
    • PRODA
    • DVA Integration
    • AIR Integration
    • Integration test data
    • Troubleshooting
LogoLogo
API ReferenceAIRReference Data

Vaccine by Code

||View as Markdown|
GET
/AIR/v1/refdata/vaccine/:vaccineCode
GET
/AIR/v1/refdata/vaccine/:vaccineCode
$curl https://api.rebateright.com.au/AIR/v1/refdata/vaccine/vaccineCode \
> -H "x-api-key: <apiKey>"
200BCG
1{
2 "statusCode": "AIR-I-1100",
3 "codeType": "AIRIBU",
4 "message": "Your request was successfully processed.",
5 "vaccines": [
6 {
7 "vaccineCode": "BCG",
8 "vaccineName": "BCG",
9 "vaccineCategoryCode": "NONST",
10 "startDate": "1996-01-01",
11 "endDate": "9999-09-09",
12 "antigens": [
13 {
14 "antigenCode": "TUB",
15 "antigenName": "Tuberculosis",
16 "maximumDose": 1,
17 "isNaturalImmunityValid": false
18 }
19 ]
20 }
21 ],
22 "correlationId": "urn:uuid:MDE00000000000000000000000"
23}

Look up a single vaccine by its AIR code. Returns the same shape as the Vaccines list endpoint, scoped to one entry.

Was this page helpful?
Previous

Vaccines

Next

Vaccine Categories

Built with

Authentication

x-api-keystring
API Key authentication via header
x-minor-idstring
API Key authentication via header

Path parameters

vaccineCodestringRequired

AIR vaccine code (e.g. BCG, BEXO, BOOST).

Response

OK
statusCodestring
codeTypestring
messagestring
vaccineslist of objects
correlationIdstring